InstantiatedIndexReader (Lucene 3.6.2 API)
Keywords: org.apache.lucene.store.instantiated.InstantiatedIndexReader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.instantiated
Class InstantiatedIndexReader

    java.lang.Object
      org.apache.lucene.index.IndexReader
          org.apache.lucene.store.instantiated.InstantiatedIndexReader

All Implemented Interfaces:
  Closeable, Cloneable

Deprecated. contrib/instantiated will be removed in 4.0; you can use the memory codec to hold all postings in RAM

    @Deprecated
    public class InstantiatedIndexReader

extends IndexReader

An InstantiatedIndexReader is not a snapshot in time, it is completely in sync with the latest commit to the store!

Consider using InstantiatedIndex as if it was immutable.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader
`IndexReader.ReaderClosedListener`

Field Summary

Fields inherited from class org.apache.lucene.index.IndexReader
`hasChanges`

Constructor Summary
`InstantiatedIndexReader(InstantiatedIndex index)` Deprecated.

Method Summary
`Directory` | `directory()` Deprecated. Returns the directory associated with this index.
`int` | `docFreq(Term t)` Deprecated. Returns the number of documents containing the term `t`.
`protected void` | `doClose()` Deprecated. Implements close.
`protected void` | `doCommit(Map<String,String> commitUserData)` Deprecated. Implements commit.
`Document` | `document(int n, FieldSelector fieldSelector)` Deprecated. Return the `Document` at the `n`th position.
`protected void` | `doDelete(int docNum)` Deprecated. Implements deletion of the document numbered `docNum`.
`protected void` | `doSetNorm(int doc, String field, byte value)` Deprecated. Implements setNorm in subclass.
`protected void` | `doUndeleteAll()` Deprecated. Implements actual undeleteAll() in subclass.
`FieldInfos` | `getFieldInfos()` Deprecated. Get the `FieldInfos` describing all fields in this reader.
`InstantiatedIndex` | `getIndex()` Deprecated.
`TermFreqVector` | `getTermFreqVector(int docNumber, String field)` Deprecated. Return a term frequency vector for the specified document and field.
`void` | `getTermFreqVector(int docNumber, String field, TermVectorMapper mapper)` Deprecated. Load the Term Vector into a user-defined data structure instead of relying on the parallel arrays of the `TermFreqVector`.
`void` | `getTermFreqVector(int docNumber, TermVectorMapper mapper)` Deprecated. Map all the term vectors for all fields in a Document
`TermFreqVector[]` | `getTermFreqVectors(int docNumber)` Deprecated. Return an array of term frequency vectors for the specified document.
`long` | `getVersion()` Deprecated. An InstantiatedIndexReader is not a snapshot in time, it is completely in sync with the latest commit to the store!
`boolean` | `hasDeletions()` Deprecated. Returns true if any documents have been deleted
`boolean` | `isCurrent()` Deprecated. An InstantiatedIndexReader is always current! Check whether this IndexReader is still using the current (i.e., most recently committed) version of the index.
`boolean` | `isDeleted(int n)` Deprecated. Returns true if document n has been deleted
`boolean` | `isOptimized()` Deprecated.
`int` | `maxDoc()` Deprecated. Returns one greater than the largest possible document number.
`byte[]` | `norms(String field)` Deprecated. never ever touch these values.
`void` | `norms(String field, byte[] bytes, int offset)` Deprecated. Reads the byte-encoded normalization factor for the named field of every document.
`int` | `numDocs()` Deprecated. Returns the number of documents in this index.
`TermDocs` | `termDocs()` Deprecated. Returns an unpositioned `TermDocs` enumerator.
`TermDocs` | `termDocs(Term term)` Deprecated. Returns an enumeration of all the documents which contain `term`.
`TermPositions` | `termPositions()` Deprecated. Returns an unpositioned `TermPositions` enumerator.
`TermEnum` | `terms()` Deprecated. Returns an enumeration of all the terms in the index.
`TermEnum` | `terms(Term t)` Deprecated. Returns an enumeration of all terms starting at a given term.

Methods inherited from class org.apache.lucene.index.IndexReader
`acquireWriteLock, addReaderClosedListener, clone, clone, close, commit, commit, decRef, deleteDocument, deleteDocuments, document, doOpenIfChanged, doOpenIfChanged, doOpenIfChanged, doOpenIfChanged, ensureOpen, flush, flush, getCommitUserData, getCommitUserData, getCoreCacheKey, getCurrentVersion, getDeletesCacheKey, getIndexCommit, getRefCount, getSequentialSubReaders, getTermInfosIndexDivisor, getUniqueTermCount, hasNorms, incRef, indexExists, lastModified, listCommits, numDeletedDocs, open, open, open, open, open, open, open, open, open, open, open, openIfChanged, openIfChanged, openIfChanged, openIfChanged, removeReaderClosedListener, reopen, reopen, reopen, reopen, setNorm, setNorm, termPositions, toString, tryIncRef, undeleteAll`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstantiatedIndexReader

    public InstantiatedIndexReader(InstantiatedIndex index)

  Deprecated.

Method Detail

### isOptimized

    @Deprecated
    public boolean isOptimized()

  Deprecated.

  Overrides:
    `isOptimized` in class `IndexReader`

### getVersion

    public long getVersion()

  Deprecated.
  An InstantiatedIndexReader is not a snapshot in time, it is completely in sync with the latest commit to the store!

  Overrides:
    `getVersion` in class `IndexReader`
  Returns:
    output from `InstantiatedIndex.getVersion()` in associated instantiated index.

### getFieldInfos

    public FieldInfos getFieldInfos()

  Deprecated.
  Description copied from class: `IndexReader`
  Get the `FieldInfos` describing all fields in this reader. NOTE: do not make any changes to the returned FieldInfos!

  Specified by:
    `getFieldInfos` in class `IndexReader`

### directory

    public Directory directory()

  Deprecated.
  Description copied from class: `IndexReader`
  Returns the directory associated with this index. The Default implementation returns the directory specified by subclasses when delegating to the IndexReader(Directory) constructor, or throws an UnsupportedOperationException if one was not specified.

  Overrides:
    `directory` in class `IndexReader`

### isCurrent

    public boolean isCurrent()
                      throws IOException

  Deprecated.
  An InstantiatedIndexReader is always current! Check whether this IndexReader is still using the current (i.e., most recently committed) version of the index. If a writer has committed any changes to the index since this reader was opened, this will return `false`, in which case you must open a new IndexReader in order to see the changes. See the description of the `autoCommit` flag which controls when the `IndexWriter` actually commits changes to the index.

  Overrides:
    `isCurrent` in class `IndexReader`
  Returns:
    always true
  Throws:
    `CorruptIndexException` - if the index is corrupt
    `IOException` - if there is a low-level IO error
    `UnsupportedOperationException` - unless overridden in subclass

### getIndex

    public InstantiatedIndex getIndex()

  Deprecated.

### numDocs

    public int numDocs()

  Deprecated.
  Description copied from class: `IndexReader`
  Returns the number of documents in this index.

  Specified by:
    `numDocs` in class `IndexReader`

### maxDoc

    public int maxDoc()

  Deprecated.
  Description copied from class: `IndexReader`
  Returns one greater than the largest possible document number. This may be used to, e.g., determine how big to allocate an array which will have an element for every document number in an index.

  Specified by:
    `maxDoc` in class `IndexReader`

### hasDeletions

    public boolean hasDeletions()

  Deprecated.
  Description copied from class: `IndexReader`
  Returns true if any documents have been deleted

  Specified by:
    `hasDeletions` in class `IndexReader`

### isDeleted

    public boolean isDeleted(int n)

  Deprecated.
  Description copied from class: `IndexReader`
  Returns true if document n has been deleted

  Specified by:
    `isDeleted` in class `IndexReader`

### doDelete

    protected void doDelete(int docNum)
                     throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Implements deletion of the document numbered `docNum`. Applications should call `IndexReader.deleteDocument(int)` or `IndexReader.deleteDocuments(Term)`.

  Specified by:
    `doDelete` in class `IndexReader`
  Throws:
    `IOException`

### doUndeleteAll

    protected void doUndeleteAll()
                          throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Implements actual undeleteAll() in subclass.

  Specified by:
    `doUndeleteAll` in class `IndexReader`
  Throws:
    `IOException`

### doCommit

    protected void doCommit(Map<String,String> commitUserData)
                     throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Implements commit.

  Specified by:
    `doCommit` in class `IndexReader`
  Throws:
    `IOException`

### doClose

    protected void doClose()
                    throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Implements close.

  Specified by:
    `doClose` in class `IndexReader`
  Throws:
    `IOException`

### document

    public Document document(int n,
                             FieldSelector fieldSelector)
                      throws CorruptIndexException,
                             IOException

  Deprecated.
  Return the `Document` at the `n`th position.

  Warning! The resulting document is the actual stored document instance and not a deserialized clone as retuned by an IndexReader over a `Directory`. I.e., if you need to touch the document, clone it first!

  This can also be seen as a feature for live changes of stored values, but be careful! Adding a field with an name unknown to the index or to a field with previously no stored values will make `getFieldInfos()` out of sync, causing problems for instance when merging the instantiated index to another index.

  This implementation ignores the field selector! All stored fields are always returned!

  Specified by:
    `document` in class `IndexReader`
  Parameters:
    `n` - document number
    `fieldSelector` - ignored
  Returns:
    The stored fields of the `Document` at the nth position
  Throws:
    `CorruptIndexException` - if the index is corrupt
    `IOException` - if there is a low-level IO error
  See Also:
    `Fieldable`, `FieldSelector`, `SetBasedFieldSelector`, `LoadFirstFieldSelector`

### norms

    public byte[] norms(String field)
                 throws IOException

  Deprecated.
  never ever touch these values. it is the true values, unless norms have been touched.

  Specified by:
    `norms` in class `IndexReader`
  Throws:
    `IOException`
  See Also:
    `AbstractField.setBoost(float)`

### norms

    public void norms(String field,
                      byte[] bytes,
                      int offset)
               throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Reads the byte-encoded normalization factor for the named field of every document. This is used by the search code to score documents.

  Specified by:
    `norms` in class `IndexReader`
  Throws:
    `IOException`
  See Also:
    `AbstractField.setBoost(float)`

### doSetNorm

    protected void doSetNorm(int doc,
                             String field,
                             byte value)
                      throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Implements setNorm in subclass.

  Specified by:
    `doSetNorm` in class `IndexReader`
  Throws:
    `IOException`

### docFreq

    public int docFreq(Term t)
                throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Returns the number of documents containing the term `t`.

  Specified by:
    `docFreq` in class `IndexReader`
  Throws:
    `IOException` - if there is a low-level IO error

### terms

    public TermEnum terms()
                   throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Returns an enumeration of all the terms in the index. The enumeration is ordered by Term.compareTo(). Each term is greater than all that precede it in the enumeration. Note that after calling terms(), `TermEnum.next()` must be called on the resulting enumeration before calling other methods such as `TermEnum.term()`.

  Specified by:
    `terms` in class `IndexReader`
  Throws:
    `IOException` - if there is a low-level IO error

### terms

    public TermEnum terms(Term t)
                   throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Returns an enumeration of all terms starting at a given term. If the given term does not exist, the enumeration is positioned at the first term greater than the supplied term. The enumeration is ordered by Term.compareTo(). Each term is greater than all that precede it in the enumeration.

  Specified by:
    `terms` in class `IndexReader`
  Throws:
    `IOException` - if there is a low-level IO error

### termDocs

    public TermDocs termDocs()
                      throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Returns an unpositioned `TermDocs` enumerator.

  Note: the TermDocs returned is unpositioned. Before using it, ensure that you first position it with `TermDocs.seek(Term)` or `TermDocs.seek(TermEnum)`.

  Specified by:
    `termDocs` in class `IndexReader`
  Throws:
    `IOException` - if there is a low-level IO error

### termDocs

    public TermDocs termDocs(Term term)
                      throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Returns an enumeration of all the documents which contain `term`. For each document, the document number, the frequency of the term in that document is also provided, for use in search scoring. If term is null, then all non-deleted docs are returned with freq=1. Thus, this method implements the mapping:

  Term => <docNum, freq>*

  The enumeration is ordered by document number. Each document number is greater than all that precede it in the enumeration.

  Overrides:
    `termDocs` in class `IndexReader`
  Throws:
    `IOException` - if there is a low-level IO error

### termPositions

    public TermPositions termPositions()
                                throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Returns an unpositioned `TermPositions` enumerator.

  Specified by:
    `termPositions` in class `IndexReader`
  Throws:
    `IOException` - if there is a low-level IO error

### getTermFreqVectors

    public TermFreqVector[] getTermFreqVectors(int docNumber)
                                        throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Return an array of term frequency vectors for the specified document. The array contains a vector for each vectorized field in the document. Each vector contains terms and frequencies for all terms in a given vectorized field. If no such fields existed, the method returns null. The term vectors that are returned may either be of type `TermFreqVector` or of type `TermPositionVector` if positions or offsets have been stored.

  Specified by:
    `getTermFreqVectors` in class `IndexReader`
  Parameters:
    `docNumber` - document for which term frequency vectors are returned
  Returns:
    array of term frequency vectors. May be null if no term vectors have been stored for the specified document.
  Throws:
    `IOException` - if index cannot be accessed
  See Also:
    `Field.TermVector`

### getTermFreqVector

    public TermFreqVector getTermFreqVector(int docNumber,
                                            String field)
                                     throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Return a term frequency vector for the specified document and field. The returned vector contains terms and frequencies for the terms in the specified field of this document, if the field had the storeTermVector flag set. If termvectors had been stored with positions or offsets, a `TermPositionVector` is returned.

  Specified by:
    `getTermFreqVector` in class `IndexReader`
  Parameters:
    `docNumber` - document for which the term frequency vector is returned
    `field` - field for which the term frequency vector is returned.
  Returns:
    term frequency vector May be null if field does not exist in the specified document or term vector was not stored.
  Throws:
    `IOException` - if index cannot be accessed
  See Also:
    `Field.TermVector`

### getTermFreqVector

    public void getTermFreqVector(int docNumber,
                                  String field,
                                  TermVectorMapper mapper)
                           throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Load the Term Vector into a user-defined data structure instead of relying on the parallel arrays of the `TermFreqVector`.

  Specified by:
    `getTermFreqVector` in class `IndexReader`
  Parameters:
    `docNumber` - The number of the document to load the vector for
    `field` - The name of the field to load
    `mapper` - The `TermVectorMapper` to process the vector. Must not be null
  Throws:
    `IOException` - if term vectors cannot be accessed or if they do not exist on the field and doc. specified.

### getTermFreqVector

    public void getTermFreqVector(int docNumber,
                                  TermVectorMapper mapper)
                           throws IOException

  Deprecated.
  Description copied from class: `IndexReader`
  Map all the term vectors for all fields in a Document

  Specified by:
    `getTermFreqVector` in class `IndexReader`
  Parameters:
    `docNumber` - The number of the document to load the vector for
    `mapper` - The `TermVectorMapper` to process the vector. Must not be null
  Throws:
    `IOException` - if term vectors cannot be accessed or if they do not exist on the field and doc. specified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD